Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Interface SVGConverterController

All Known Implementing Classes:
  DefaultSVGConverterController, Main

    public interface SVGConverterController

Interface for controlling some aspectes of the `SVGConverter` operation.

Method Summary
`void` | `onSourceTranscodingSuccess(SVGConverterSource source, File dest)` Invoked when the rasterizer successfully transcoded the input source.
`boolean` | `proceedOnSourceTranscodingFailure(SVGConverterSource source, File dest, String errorCode)` Invoked when the rasterizer got an error while transcoding the input source.
`boolean` | `proceedWithComputedTask(Transcoder transcoder, Map hints, List sources, List dest)` Invoked when the rasterizer has computed the exact description of what it should do.
`boolean` | `proceedWithSourceTranscoding(SVGConverterSource source, File dest)` Invoked when the rasterizer is about to start transcoding of a given source.

Method Detail

### proceedWithComputedTask

    boolean proceedWithComputedTask(Transcoder transcoder,
                                    Map hints,
                                    List sources,
                                    List dest)

  Invoked when the rasterizer has computed the exact description of what it should do. The controller should return true if the transcoding process should proceed or false otherwise.

  Parameters:
    `transcoder` - Transcoder which will be used
    `hints` - set of hints that were set on the transcoder
    `sources` - list of SVG sources it will convert.
    `dest` - list of destination file it will use

### proceedWithSourceTranscoding

    boolean proceedWithSourceTranscoding(SVGConverterSource source,
                                         File dest)

  Invoked when the rasterizer is about to start transcoding of a given source. The controller should return true if the source should be transcoded and false otherwise.

### proceedOnSourceTranscodingFailure

    boolean proceedOnSourceTranscodingFailure(SVGConverterSource source,
                                              File dest,
                                              String errorCode)

  Invoked when the rasterizer got an error while transcoding the input source. The controller should return true if the transcoding process should continue on other sources and it should return false if it should not.

  Parameters:
    `errorCode` - see the `SVGConverter` error code descriptions.

### onSourceTranscodingSuccess

    void onSourceTranscodingSuccess(SVGConverterSource source,
                                    File dest)

  Invoked when the rasterizer successfully transcoded the input source.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.